#if !defined(_WIN_SCANNER_H_20150925_1610_)
#define _WIN_SCANNER_H_20150925_1610_


#define SCANNER_STYLE_NULL                     0
#define SCANNER_STYLE_SYMBOL_DS6708            1
#define SCANNER_STYLE_HONEYWELL_Vuquest3310    2


//是否存在扫描枪--串口
BOOL IsNeedScannerForComm();

//获得扫描枪串口句柄
HANDLE GetScannerHandle();

//装入扫描枪参数
BOOL  Scanner_Load();

//扫描枪设置对话框
BOOL  Scanner_Setting();
//打开串口
HANDLE Kernel_OpenScanner(int nComm, WORD wBaud, WORD wDataBit, WORD wStartBit, WORD wStopBit, WORD wParity , DWORD dwXonXoff);

//关闭串口
void Kenrel_CloseScanner(HANDLE hCommFile);

//打开串口扫描枪
BOOL OpenScanner();

//关闭串口扫描枪
BOOL CloseScanner();


#endif